## Current Work
+ ABS 및 PRTC Timer 관련 sec->msec 단위변환
+ 하드웨어 연속성 (안정성) 증대
+ Fault Detection Diagnosis (FDD) 로직 개발
	* MFC Measure Value : AO / AI / Gas Inlet
	* Back Pressure : Pressure Sensor / Sol. or Prop. Valve / etc
	* Temperature : Heating Unit / T.C.
+ 프로토콜 vi 정리
+ Global.vi 분리 (세분화)
+ 프로그램 이슈관리 툴
+ 기타 로직 정리 (파일명 / 경로 / 미사용 파일 정리)


## Release Note
### ver 1.1.x
+ H/W 안정화
	* 카이스트 2302 (임시)
	* Detection for Shut down 초기 성정값을 Config.에서 수정 가능하도록 변경
+ 네이밍 변경
	* (Protocol) Category -> Item
+ 기능 추가
	* Protocol
		I-V Trip 데이터 저장 및 Curve Chart 복수화
		Clear TSQ List
		TSQ 오류 검출기능 추가
		화면 축소 (접기)
+ Bug Fix
	* Protocol
		I-V Trip 관련 타이밍 개선
+ Etc.
	* is Developing 전역변수 선언하여 현재 실행상태에 따른 구분
		개발모드인 경우,
		1. Diagram 보기 메뉴 활성화 하여 디버깅 용이하게 변경
		2. 프로그램 종료 시 윈도우 종료를 막아 불필요한 개발경험 제거
		


### ver 1.0.1
+ 프로그램 안정화
	* 카이스트 2302
	* 입/출력 파일 정의
		Log File : 프로그램 동작에 대한 상당부분 저장. 측정값 + 제어값 + 디버깅 메시지
		Protocol File : 프로토콜 동작에 대한 데이터 저장. (제어값 및 디버깅 메시지 제외)
		Test Squence File : 기존 프로토콜 테이블을 저장하는 파일. 상기 Protocol File과 혼동이 우려되어 명칭 변경
	* 프로토콜 이름 및 확장자 변경 (Test Squence, .tsq)
	* 디버깅 메시지 로직 추가
	* 하드웨어 연속성 (안정성) 증대
		하드웨어 연결오류 후 재연결 가능하도록 로직 추가
		하드웨어 연결오류 관련하여 디버깅 메시지 반영
	* 시간 정확도 향상
		기존 초(sec) 단위 사용으로 double형 사용으로하였으나, 일부 0을 만들지 못하는 문제 발생
		밀리초(msec) 단위 int64형으로 변경
	* 테스트 시퀀스 로드할 수 있는 VBA를 포함한 엑셀파일 개발
	* Config Menu 생성 및 프로그램 종료 시 윈도우 닫기


### ver 0.9.0
'''
+ 최초 양산형 프로그램
	* 연세대학교 2301
	* 프로그램 기본 동작성 확인
+ 업데이트 예정 목록
	* 디버깅 방안 개발
	* 프로그램 이슈관리 툴 (데이터베이스)
	* 프로토콜 테이블의 엑셀파일 변환
	* 시간 정확도 향상
	* 로직 정리
	* 기타 최적화
'''